const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const NotifiedEmailSchema = new Schema({
  email: {
    type: String,
    unique: true,
    lowercase: true,
    trim: true
  }
});

NotifiedEmailSchema.plugin(timestamps);

module.exports = mongoose.model('NotifiedEmail', NotifiedEmailSchema);
