const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const PriceTierSchema = new Schema({
  from: {
    type: Number,
    required: true
  },
  to: {
    type: Number,
    required: true
  },
  description: {
    type: String,
    required: true
  }
});

PriceTierSchema.plugin(timestamps);

module.exports = mongoose.model('PriceTier', PriceTierSchema);
