const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const TokenSchema = new Schema({
  userId: {
    type: Schema.ObjectId,
    ref: 'User'
  },
  token: {
    type: String,
    trim: true
  }
});

TokenSchema.plugin(timestamps);

module.exports = mongoose.model('RefreshToken', TokenSchema);
