const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const LogSchema = new Schema({
  name: {
    type: String,
    required: true
  },
  text: String,
  user: {
    type: Schema.ObjectId,
    ref: 'User'
  },
  data: Object
});

LogSchema.plugin(timestamps);

module.exports = mongoose.model('Log', LogSchema);
