const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const SaleTypeSchema = new Schema({
  name: {
    type: String,
    required: true
  }
});

SaleTypeSchema.plugin(timestamps);

module.exports = mongoose.model('SaleType', SaleTypeSchema, 'sale-types');
